package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemGjjTallyDialogBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjcUnLoadListBean
import com.lukouguoji.module_base.bean.GjcWaybillBean
import com.lukouguoji.module_base.bean.GjjHandoverRecordBean

class GjcTallyDialogViewHolder(view: View) :
    BaseViewHolder<GjjHandoverRecordBean, ItemGjjTallyDialogBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item) ?: return
        binding.bean = bean

        notifyItemClick(position, binding.ivIcon)
    }
}